package junit.log4j;
import org.apache.log4j.spi.LoggingEvent;
/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.<p>
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.<p>
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA<br>
 * http://www.gnu.org/copyleft/lesser.html
 */

// Configuration Management Information: 
// -------------------------------------
// $Id: AppenderListener.java,v 1.1 2001/11/12 17:57:15 wreissen Exp $
//
// Version History:
// ----------------
// $Log: AppenderListener.java,v $
// Revision 1.1  2001/11/12 17:57:15  wreissen
// initial version.
//
//
// ***********************************************************************************
/**
 * <p>Listens to a {@link org.apache.log4j.Appender Appender} of
 * <a href="http://jakarta.apache.org/log4j">Log4J</a>.</p>
 *
 * Created: Mon Nov 12 10:34:13 2001
 *
 * @author <a href="mailto:wolfgang@openfuture.de">Wolfgang Reissenberger</a>
 * @version $Revision: 1.1 $
 */

public interface AppenderListener  {

    /**
     * An {@link org.apache.log4j.Appender Appender} will invoke this method
     * to send a new logging message to all its listeners.
     *
     * @param message the message to be sent
     */
    public void addMessage(String message);

} // AppenderListener
