package junit.logswingui;

/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.<p>
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.<p>
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA<br>
 * http://www.gnu.org/copyleft/lesser.html
 */

// Configuration Management Information: 
// -------------------------------------
// $Id: TestProtocolView.java,v 1.1 2001/11/12 17:54:29 wreissen Exp $
//
// Version History:
// ----------------
// $Log: TestProtocolView.java,v $
// Revision 1.1  2001/11/12 17:54:29  wreissen
// initial version.
//
//
// ***********************************************************************************
/**
 * <p>Interface showing test protocols in the test runner of
 * <a href="http://www.junit.org">JUnit</a>.</p>
 *
 *
 * Created: Thu Nov 08 12:55:54 2001
 *
 * @author <a href="mailto:wolfgang@openfuture.de">Wolfgang Reissenberger</a>
 * @version $Revision: 1.1 $
 */

public interface TestProtocolView {
    
    /**
     * Append a new message to the protocol.
     *
     * @param message the message
     */
    public void addMessage(String message);

    /**
     * Show the protocol window.
     *
     */
    public void show();

    /**
     * Hide the protocol window.
     *
     */
    public void hide();

    /**
     * Clear the protocol window.
     *
     */
    public void clear();

} // TestProtocolView
